Create one lot serial number
post
/fscmRestApi/resources/11.13.18.05/inventoryStagedTransactions/{TransactionInterfaceId}/child/serials
Request
Path Parameters
-
TransactionInterfaceId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
ErrorCode: string
Maximum Length:
240Abbreviation that identifies the error. -
FmSerialNumber(required): string
Maximum Length:
80Starting serial number in a range of serial numbers. -
OriginationDate: string
(date)
Date when this lot serial originated.
-
serialAttributeDFFs: array
serialAttributeDFFs
-
serialStandardDFFs: array
serialStandardDFFs
-
SourceCode: string
Maximum Length:
30Abbreviation that identifies the source. -
SourceLineId: integer
(int64)
Value that uniquely identifies the source line.
-
StatusCode: string
Maximum Length:
80Abbreviation that identifies the status. -
StatusId: integer
(int64)
Value that uniquely identifies the status.
-
StatusName: string
Maximum Length:
30Description of the status. -
ToSerialNumber: string
Maximum Length:
80Ending serial number in a range of serial numbers. -
TransactionInterfaceId(required): integer
(int64)
Value that uniquely identifies the transaction.
-
VendorSerialNumber: string
Maximum Length:
80Supplier serial number corresponding to a serial number for an item.
Nested Schema : schema
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
FromSerialNumber: string
Maximum Length:
80 -
TransactionInterfaceId: integer
(int64)
Nested Schema : schema
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
FromSerialNumber: string
Maximum Length:
80 -
TransactionInterfaceId: integer
(int64)
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : inventoryStagedTransactions-serials-item-response
Type:
Show Source
object-
ErrorCode: string
Maximum Length:
240Abbreviation that identifies the error. -
FmSerialNumber: string
Maximum Length:
80Starting serial number in a range of serial numbers. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OriginationDate: string
(date)
Date when this lot serial originated.
-
serialAttributeDFFs: array
serialAttributeDFFs
-
SerialQuantity: number
Read Only:
trueValue that indicates the serial quantity for a given interface record. -
serialStandardDFFs: array
serialStandardDFFs
-
SourceCode: string
Maximum Length:
30Abbreviation that identifies the source. -
SourceLineId: integer
(int64)
Value that uniquely identifies the source line.
-
StatusCode: string
Maximum Length:
80Abbreviation that identifies the status. -
StatusId: integer
(int64)
Value that uniquely identifies the status.
-
StatusName: string
Maximum Length:
30Description of the status. -
ToSerialNumber: string
Maximum Length:
80Ending serial number in a range of serial numbers. -
TransactionInterfaceId: integer
(int64)
Value that uniquely identifies the transaction.
-
VendorSerialNumber: string
Maximum Length:
80Supplier serial number corresponding to a serial number for an item.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : inventoryStagedTransactions-serials-serialAttributeDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
FromSerialNumber: string
Maximum Length:
80 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
TransactionInterfaceId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryStagedTransactions-serials-serialStandardDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
FromSerialNumber: string
Maximum Length:
80 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
TransactionInterfaceId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- serialAttributeDFFs
-
Parameters:
- TransactionInterfaceId:
$request.path.TransactionInterfaceId - serialsUniqID:
$request.path.serialsUniqID
- TransactionInterfaceId:
- serialStandardDFFs
-
Parameters:
- TransactionInterfaceId:
$request.path.TransactionInterfaceId - serialsUniqID:
$request.path.serialsUniqID
- TransactionInterfaceId:
Examples
This example describes how to create one serial number.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/inventoryStagedTransactions/TransactionInterfaceId/child/serials"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.
{"parts":[
{
"id":"part1",
"path":"/inventoryStagedTransactions/300100152720875/child/serials/",
"operation":"create",
"payload":{
"FmSerialNumber":"A-1000",
"ToSerialNumber":"A-1001"
}
},
{
"id":"part2",
"path":"/inventoryStagedTransactions/300100152720875/child/serials/",
"operation":"create",
"payload":{
"FmSerialNumber":"B-1000",
"ToSerialNumber":"B-1001"
}
}
]
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"parts": [
{
"id": "part1",
"path": "https://servername/fscmRestApi/resources/version/inventoryStagedTransactions/300100152720875/child/serials",
"operation": "create",
"payload": {
"TransactionInterfaceId": 300100152720875,
"FmSerialNumber": "A-1000",
"ToSerialNumber": "A-1001",
"SourceCode": null,
...
}
},
{
"id": "part2",
"path": "https://servername/fscmRestApi/resources/version/inventoryStagedTransactions/300100152720875/child/serials",
"operation": "create",
"payload": {
"TransactionInterfaceId": 300100152720875,
"FmSerialNumber": "B-1000",
"ToSerialNumber": "B-1001",
"SourceCode": null,
...
}
}
]
}